#
# spec file for package perl-Module-Refresh
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Module-Refresh
Version:        0.17
Release:        13.5
%define cpan_name Module-Refresh
Summary:        Refresh INC files when updated on disk
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Module-Refresh/
Source:         http://www.cpan.org/authors/id/A/AL/ALEXMV/%{cpan_name}-%{version}.tar.gz
%if 0%{?suse_version} < 1120
Patch0:         old_test_more.patch
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(Path::Class)
#BuildRequires: perl(Foo)
#BuildRequires: perl(inc::Module::Install)
#BuildRequires: perl(JSON)
#BuildRequires: perl(LWP::Simple)
#BuildRequires: perl(Module::Build)
#BuildRequires: perl(Module::Install::Base)
#BuildRequires: perl(Module::Refresh)
#BuildRequires: perl(Parse::CPAN::Meta)
#BuildRequires: perl(YAML::Tiny)
%{perl_requires}

%description
This module is a generalization of the functionality provided by the
Apache::StatINC manpage and the Apache::Reload manpage. It's designed to
make it easy to do simple iterative development when working in a
persistent environment.

It does not require mod_perl.

%prep
%setup -q -n %{cpan_name}-%{version}
%if 0%{?suse_version} < 1120
%patch0
rm -f t/clear_symtable.t
%endif
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Wed Feb 29 2012 ro@suse.de
- add old_test_more.patch to build against sle11
* Fri Nov 18 2011 coolo@suse.com
- update to 0.17
  * Warnings avoidance for reloading a module not in %%INC
  * Updated inc/ and META.yml
  * SIGNATURE file bug
  * No functional changes. Added missing test dependencies. Thanks to JQUELIN & Paul at City Fan
  * Actually remove subroutines from the symbol table, Thanks to DOY.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.13
